--
-- Universal 1010 DT
--
-- @autor Andrei Valentin
--
--
Universal1010DT = {};

function Universal1010DT.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function Universal1010DT:load(xmlFile)
      self.Ventilator = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.Ventilator#index"));
      self.Rola = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.Rola#index"));
end;

function Universal1010DT:delete()

end;

function Universal1010DT:mouseEvent(posX, posY, isDown, isUp, button)

end;

function Universal1010DT:keyEvent(unicode, sym, modifier, isDown)

end;

function Universal1010DT:update(dt)

end;

function Universal1010DT:updateTick(dt)
	if self.isMotorStarted then
         		rotate(self.Ventilator, 0, 0, dt*0.01 );		
	end;

	if self.isMotorStarted then
         		rotate(self.Rola, 0, 0, dt*0.01 );		
	end;
end;

function Universal1010DT:draw()  

end;

function Universal1010DT:onLeave()

end;